Wbemcli.IWbemClassObject (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli, class: IWbemClassObject

Package com.sun.jna.platform.win32.COM

# Class Wbemcli.IWbemClassObject

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Wbemcli.IWbemClassObject

All Implemented Interfaces:
  `NativeMapped`, `IUnknown`

Enclosing interface:
  Wbemcli

public static class Wbemcli.IWbemClassObject extends Unknown
Contains and manipulates both WMI class definitions and class object instances.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

  `Unknown.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IWbemClassObject()`
  `IWbemClassObject(Pointer pvInstance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)`
  `WinNT.HRESULT`
  `Get(String wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)`
  `WinNT.HRESULT`
  `GetMethod(WString wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)`
  `Wbemcli.IWbemClassObject`
  `GetMethod(String wszName)`
  `WinNT.HRESULT`
  `GetMethod(String wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)`
  `WinNT.HRESULT`
  `GetNames(WString wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)`
  `String[]`
  `GetNames(String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal)`
  `WinNT.HRESULT`
  `GetNames(String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)`
  `WinNT.HRESULT`
  `GetPropertyQualifierSet(WString wszProperty, PointerByReference ppQualSet)`
  `Wbemcli.IWbemQualifierSet`
  `GetPropertyQualifierSet(String strProperty)`
  `Wbemcli.IWbemQualifierSet`
  `GetQualifierSet()`
  `WinNT.HRESULT`
  `GetQualifierSet(PointerByReference ppQualSet)`
  `WinNT.HRESULT`
  `Put(WString wszName, int lFlags, Variant.VARIANT pVal, int Type)`
  `WinNT.HRESULT`
  `Put(String wszName, int lFlags, Variant.VARIANT pVal, int Type)`
  `void`
  `Put(String wszName, String pValue)`
  `Wbemcli.IWbemClassObject`
  `SpawnInstance()`
  `WinNT.HRESULT`
  `SpawnInstance(int lFlags, PointerByReference ppNewInstance)`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IWbemClassObject

    public IWbemClassObject()

  - ### IWbemClassObject

    public IWbemClassObject(Pointer pvInstance)

- ## Method Details

  - ### Get

    public WinNT.HRESULT Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)

  - ### Get

    public WinNT.HRESULT Get(String wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)

  - ### GetMethod

    public WinNT.HRESULT GetMethod(String wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)

  - ### GetMethod

    public WinNT.HRESULT GetMethod(WString wszName, int lFlags, PointerByReference ppInSignature, PointerByReference ppOutSignature)

  - ### GetMethod

    public Wbemcli.IWbemClassObject GetMethod(String wszName)

  - ### GetNames

    public WinNT.HRESULT GetNames(String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)

  - ### GetNames

    public WinNT.HRESULT GetNames(WString wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)

  - ### GetNames

    public String[] GetNames(String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal)

  - ### GetQualifierSet

    public WinNT.HRESULT GetQualifierSet(PointerByReference ppQualSet)

  - ### GetQualifierSet

    public Wbemcli.IWbemQualifierSet GetQualifierSet()

  - ### GetPropertyQualifierSet

    public WinNT.HRESULT GetPropertyQualifierSet(WString wszProperty, PointerByReference ppQualSet)

  - ### GetPropertyQualifierSet

    public Wbemcli.IWbemQualifierSet GetPropertyQualifierSet(String strProperty)

  - ### Put

    public WinNT.HRESULT Put(String wszName, int lFlags, Variant.VARIANT pVal, int Type)

  - ### Put

    public WinNT.HRESULT Put(WString wszName, int lFlags, Variant.VARIANT pVal, int Type)

  - ### Put

    public void Put(String wszName, String pValue)

  - ### SpawnInstance

    public WinNT.HRESULT SpawnInstance(int lFlags, PointerByReference ppNewInstance)

  - ### SpawnInstance

    public Wbemcli.IWbemClassObject SpawnInstance()